QwtSetSample(3)

NAME
QwtSetSample -

A sample of the types (x1...xn, y) or (x, y1..yn)

SYNOPSIS

#include <qwt_series_data.h>

  Public Member Functions
QwtSetSample ()
bool operator== (const QwtSetSample &other) const
bool operator!= (const QwtSetSample &other) const

  Public Attributes
double value
QVector< double > set

Detailed Description

A sample of the types (x1...xn, y) or (x, y1..yn)

Constructor & Destructor Documentation

  QwtSetSample::QwtSetSample () [inline] Constructor The value is set to 0.0

Member Function Documentation

  bool QwtSetSample::operator!= (const QwtSetSample &other) const [inline]

Compare operator.

  bool QwtSetSample::operator== (const QwtSetSample &other) const [inline]

Compare operator.

Member Data Documentation

  QVector<double> QwtSetSample::set

Vector of values associated to value.

  double QwtSetSample::value

value

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.